Flow Control
Pin Configuration for Flow Control Key
Pins a processing configuration for a specific flow-control key.
POST/v2/flowControl/{flowControlKey}/pin
cURL
curl --request POST \
--url https://qstash-{region}.upstash.io/v2/flowControl/{flowControlKey}/pin \
--header 'Authorization: Bearer <token>'Authorization
Authorizationheaderstringrequired
Bearer authentication header of the form Bearer <token>.
Path parameters
flowControlKeypathstringrequired
The flow-control key for which the configuration will be pinned.
Query parameters
parallelismqueryinteger
The parallelism value to apply to the flow-control key.
ratequeryinteger
The rate value to apply to the flow-control key.
periodqueryinteger
The period value to apply to the flow-control key, in seconds.
Response
200 — The flow-control key configuration has been pinned.
400 — Bad request. Returned when the flow-control key is not provided, or when the parallelism, rate or period values are invalid.
errorstringrequired
Error message